These samples show how to save reports in the ActiveReportsJS Designer component within Angular, React, Vue, and pure JavaScript applications. The code uses the in-memory reports storage. The "Save as" button automatically saves the report with the new name. The "Open Report" dialog displays previously saved reports. For more details, please visit the Save Reports page for more information. To view the code, scroll down the page.
loading...<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>ActiveReportsJS Report Designer Report Saving Sample</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<script src="/activereportsjs/demos/arjs/dist/ar-js-core.js"></script>
<script src="/activereportsjs/demos/arjs/dist/ar-js-designer.js"></script>
<script src="$DEMOROOT$/lib/purejs/license.js"></script>
<link
href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,300;0,400;0,500;0,600;0,700;1,400&display=swap"
rel="stylesheet"
/>
<link
rel="stylesheet"
href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z"
crossorigin="anonymous"
/>
<link
rel="stylesheet"
type="text/css"
href="/activereportsjs/demos/arjs/styles/ar-js-ui.css"
/>
<link
rel="stylesheet"
type="text/css"
href="/activereportsjs/demos/arjs/styles/ar-js-designer.css"
/>
<style>
#designer-host {
margin: 0 auto;
width: 100%;
height: 550px;
}
</style>
</head>
<body>
<div id="designer-host"></div>
<script>
var CPLReport = {
Name: "Report",
Body: {
Width: "8.5in",
Height: "11in",
},
};
var resolveFunc = null;
var designer = null;
var counter = 0;
reportStorage = new Map();
function fillReportList() {
$("#listReports").empty();
let reportIds = reportStorage.keys();
let result = reportIds.next();
while (!result.done) {
const reportId = result.value;
const openReportBtn = $(
'<button type="button" class="list-group-item list-group-item-action">' +
reportId +
"</button>"
);
openReportBtn.on("click", function () {
onSelectReport(reportId);
});
$("#listReports").append(openReportBtn);
result = reportIds.next();
}
}
MESCIUS.ActiveReportsJS.Core.FontStore.registerFonts(
"/activereportsjs/demos/resource/fontsConfig.json"
);
designer = new MESCIUS.ActiveReportsJS.ReportDesigner.Designer(
"#designer-host"
);
designer.setActionHandlers({
onCreate: function () {
const reportId = `NewReport${++this.counter}`;
return Promise.resolve({
definition: CPLReport,
id: reportId,
displayName: reportId,
});
},
onOpen: function () {
const ret = new Promise(function (resolve) {
resolveFunc = resolve;
fillReportList();
$("#dlgOpen").modal("show");
$("#dlgOpen").on("hide.bs.modal", function () {
$(this).off("hide.bs.modal");
resolveFunc = null;
resolve(null);
});
});
return ret;
},
onSave: function (info) {
const reportId = info.id || `NewReport${++this.counter}`;
reportStorage.set(reportId, info.definition);
return Promise.resolve({ displayName: reportId });
},
onSaveAs: function (info) {
const reportId = `NewReport${++this.counter}`;
reportStorage.set(reportId, info.definition);
return Promise.resolve({ id: reportId, displayName: reportId });
},
});
function onSelectReport(reportId) {
if (resolveFunc) {
resolveFunc({
definition: reportStorage.get(reportId),
id: reportId,
displayName: reportId,
});
$("#dlgOpen").modal("hide");
resolveFunc = null;
}
}
</script>
<script
src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
crossorigin="anonymous"
></script>
<script
src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"
integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN"
crossorigin="anonymous"
></script>
<script
src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"
integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV"
crossorigin="anonymous"
></script>
<div class="modal" id="dlgOpen" tabindex="-1" aria-hidden="true">
<div class="modal-dialog">
<div class="modal-content">
<div class="modal-header">
<h5 class="modal-title" id="exampleModalLabel">Open Report</h5>
<button
type="button"
class="close"
data-dismiss="modal"
aria-label="Close"
>
<span aria-hidden="true">×</span>
</button>
</div>
<div class="modal-body">
<strong>Select Report:</strong>
<div class="list-group" id="listReports"></div>
</div>
<div class="modal-footer">
<button
type="button"
class="btn btn-outline-secondary"
data-dismiss="modal"
>
Close
</button>
</div>
</div>
</div>
</div>
</body>
</html>
Submit and view feedback for

import React, { Fragment, useState } from "react";
import ReactDOM from "react-dom";
import {Designer} from "@mescius/activereportsjs-react"
function App() {
const [modalOpen, setModalOpen] = useState(false);
const [selectedReport, setSelectedReport] = useState(null);
const [reportPromise, setReportPromise] = useState(null);
const counter = React.useRef(0);
const [reportStorage, setReportStorage] = React.useState(new Map());
function onSelectReport(reportId) {
setSelectedReport(reportId);
setModalOpen(false);
}
function onCreateReport(){
const CPLReport = {
Name: "Report",
Body: {
Width: "8.5in",
Height: "11in",
},
};
const reportId = `NewReport${++counter.current}`;
return Promise.resolve({
definition: CPLReport,
id: reportId,
displayName: reportId,
});
}
function onCloseDialog() {
setModalOpen(false);
if (reportPromise) {
reportPromise.resolve(null);
setReportPromise(null);
}
}
function onOpenReport(){
setModalOpen(true);
return new Promise((resolve, reject) => {
setReportPromise({ resolve, reject });
});
}
function onSaveReport(info){
const reportId = info.id || `NewReport${++counter.current}`;
setReportStorage(new Map(reportStorage.set(reportId, info.definition)));
return Promise.resolve({ displayName: reportId });
}
function onSaveAsReport(info){
const reportId = `NewReport${++counter.current}`;
setReportStorage(new Map(reportStorage.set(reportId, info.definition)));
return Promise.resolve({ id: reportId, displayName: reportId });
}
React.useEffect(() => {
if (selectedReport && reportPromise) {
reportPromise.resolve({
definition: reportStorage.get(selectedReport),
id: selectedReport,
displayName: selectedReport,
});
setReportPromise(null);
setSelectedReport(null);
}
}, [selectedReport, reportPromise]);
return (
<Fragment>
<div id="designer-host"><Designer onCreate={onCreateReport} onSave={onSaveReport} onSaveAs={onSaveAsReport} onOpen={onOpenReport} /></div>
{modalOpen && (
<div class="modal" id="dlgOpen" tabindex="-1" aria-hidden="true">
<div class="modal-content">
<div class="modal-header">
<h5 class="modal-title" id="exampleModalLabel">
Open Report
</h5>
<button
type="button"
class="close"
onClick={()=>onCloseDialog()}
>
<span aria-hidden="true">×</span>
</button>
</div>
<div class="modal-body">
<strong>Select Report:</strong>
<div class="list-group">
{[...reportStorage.keys()].map((reportId) => (
<button
type="button"
class="list-group-item list-group-item-action"
onClick={() => onSelectReport(reportId)}
>
{reportId}
</button>
))}
</div>
</div>
<div class="modal-footer">
<button
type="button"
class="btn btn-outline-secondary"
onClick={()=>onCloseDialog()}
>
Close
</button>
</div>
</div>
</div>)}
</Fragment>
);
}
ReactDOM.render(<App />, document.getElementById("root"));
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>ActiveReportsJS Report Designer Report Saving Sample</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" href="index.css" />
<link
href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,300;0,400;0,500;0,600;0,700;1,400&display=swap"
rel="stylesheet"
/>
<link
rel="stylesheet"
href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z"
crossorigin="anonymous"
/>
<!-- SystemJS -->
<script src="./vendor/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import("./src/app");
</script>
</head>
<body style="margin: 0">
<div id="root"></div>
<script
src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
crossorigin="anonymous"
></script>
<script
src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"
integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN"
crossorigin="anonymous"
></script>
<script
src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"
integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV"
crossorigin="anonymous"
></script>
</body>
</html>
@import url("/activereportsjs/demos/arjs/styles/ar-js-ui.css");
@import url("/activereportsjs/demos/arjs/styles/ar-js-designer.css");
@import url("/activereportsjs/demos/arjs/styles/ar-js-viewer.css");
#designer-host {
width: 100%;
height: 550px;
}
.modal {
position: fixed;
top: 0;
left: 0;
width: 100%;
height: 100%;
background-color: rgba(0, 0, 0, 0.5);
display: flex;
align-items: center;
justify-content: center;
z-index: 1000;
}
.modal-content {
background: white;
padding: 20px;
border-radius: 4px;
width: 50%;
max-width: 500px;
max-height: 80%;
overflow-y: auto;
}
(function (global) {
System.config({
transpiler: "plugin-babel",
babelOptions: {
es2015: true,
react: true,
},
meta: {
"*.css": { loader: "css" },
},
paths: {
// paths serve as alias
"npm:": "node_modules/",
},
// map tells the System loader where to look for things
map: {
css: "npm:systemjs-plugin-css/css.js",
react: "npm:react/umd/react.production.min.js",
"react-dom": "npm:react-dom/umd/react-dom.production.min.js",
"@mescius/activereportsjs/pdfexport":
"npm:@mescius/activereportsjs/dist/ar-js-pdf.js",
"@mescius/activereportsjs/tabulardataexport":
"npm:@mescius/activereportsjs/dist/ar-js-tabular-data.js",
"@mescius/activereportsjs/htmlexport":
"npm:@mescius/activereportsjs/dist/ar-js-html.js",
"@mescius/activereportsjs/xlsxexport":
"npm:@mescius/activereportsjs/dist/ar-js-xlsx.js",
"@mescius/activereportsjs/xlsxadvexport":
"npm:@mescius/activereportsjs/dist/ar-js-xlsxAdv.js",
"@mescius/activereportsjs-react":
"npm:@mescius/activereportsjs-react/lib/index.js",
"@mescius/activereportsjs/reportviewer":
"npm:@mescius/activereportsjs/dist/ar-js-viewer.js",
"@mescius/activereportsjs/viewer":
"npm:@mescius/activereportsjs/dist/ar-js-viewer.js",
"@mescius/activereportsjs/reportdesigner":
"npm:@mescius/activereportsjs/dist/ar-js-designer.js",
"@mescius/activereportsjs/core":
"npm:@mescius/activereportsjs/dist/ar-js-core.js",
"@mescius/activereportsjs/styles": "npm:@mescius/activereportsjs/styles",
"@mescius/activereportsjs-i18n-ja":
"npm:@mescius/activereportsjs-i18n/dist/designer/ja-locale.js",
"@mescius/activereportsjs-i18n-zh":
"npm:@mescius/activereportsjs-i18n/dist/designer/zh-locale.js",
"@mescius/ar-js-pagereport":
"npm:@mescius/activereportsjs/dist/ar-js-core.js",
"plugin-babel": "npm:systemjs-plugin-babel/plugin-babel.js",
"systemjs-babel-build":
"npm:systemjs-plugin-babel/systemjs-babel-browser.js",
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: "jsx",
},
node_modules: {
defaultExtension: "js",
},
},
});
})(this);

import { Component } from "@angular/core";
import { Observable, Subject } from "rxjs";
declare var $: any;
@Component({
selector: "app-root",
templateUrl: "src/app.component.html",
styleUrls: ["src/app.component.css"],
})
export class AppComponent {
openReportSubj = new Subject<string>();
openReportObs = this.openReportSubj as Observable<string>;
designer: any;
counter = 0;
reportStorage = new Map();
showDialog = false;
onSelectReport = (reportId: string) => {
this.openReportSubj.next(reportId);
};
onCreateReport = () => {
const reportId = `NewReport${++this.counter}`;
const CPLReport = {
Name: "Report",
Body: {
Width: "8.5in",
Height: "11in",
},
};
return Promise.resolve({
definition: CPLReport,
id: reportId,
displayName: reportId,
});
};
onOpenReport = () => {
return new Promise<any>((resolve) => {
const subscription = this.openReportObs.subscribe((reportId: string) => {
subscription.unsubscribe();
if(reportId){
resolve({
definition: this.reportStorage.get(reportId),
id: reportId,
displayName: reportId,
});
}
else{
resolve(null);
}
this.showDialog = false;
});
this.showDialog = true;
});
};
onSaveReport = (info: any) => {
const reportId = info.id || `NewReport${++this.counter}`;
this.reportStorage.set(reportId, info.definition);
return Promise.resolve({ displayName: reportId });
};
onSaveAsReport = (info: any) => {
const reportId = `NewReport${++this.counter}`;
this.reportStorage.set(reportId, info.definition);
return Promise.resolve({ id: reportId, displayName: reportId });
};
onCloseDialog = ()=>{
this.openReportSubj.next(null);
}
}
@import url("/activereportsjs/demos/arjs/styles/ar-js-ui.css");
@import url("/activereportsjs/demos/arjs/styles/ar-js-designer.css");
@import url("/activereportsjs/demos/arjs/styles/ar-js-viewer.css");
#designer-host {
width: 100%;
height: 550px;
}
.modal {
position: fixed;
top: 0;
left: 0;
width: 100%;
height: 100%;
background-color: rgba(0, 0, 0, 0.5);
display: flex;
align-items: center;
justify-content: center;
z-index: 1000;
}
.modal-content {
background: white;
padding: 20px;
border-radius: 4px;
width: 50%;
max-width: 500px;
max-height: 80%;
overflow-y: auto;
}
import { BrowserModule } from "@angular/platform-browser";
import { NgModule } from "@angular/core";
import { AppComponent } from "./app.component";
import { ActiveReportsModule } from "@mescius/activereportsjs-angular";
import { ReactiveFormsModule } from "@angular/forms";
@NgModule({
declarations: [AppComponent],
imports: [BrowserModule, ActiveReportsModule, ReactiveFormsModule],
providers: [],
bootstrap: [AppComponent],
})
export class AppModule {}
<div id="designer-host">
<gc-activereports-designer
[onCreate]="onCreateReport"
[onSave]="onSaveReport"
[onSaveAs]="onSaveAsReport"
[onOpen]="onOpenReport"
>
</gc-activereports-designer>
</div>
<div *ngIf="showDialog" class="modal">
<div class="modal-content">
<div class="modal-header">
<h5 class="modal-title" id="exampleModalLabel">Open Report</h5>
<button type="button" class="close" (click)="onCloseDialog()">
<span aria-hidden="true">×</span>
</button>
</div>
<div class="modal-body">
<strong>Select Report:</strong>
<div class="list-group">
<button
type="button"
*ngFor="let report of reportStorage | keyvalue"
class="list-group-item list-group-item-action"
(click)="onSelectReport(report.key)"
>
{{ report.key }}
</button>
</div>
</div>
<div class="modal-footer">
<button
type="button"
class="btn btn-outline-secondary"
(click)="onCloseDialog()"
>
Close
</button>
</div>
</div>
</div>
(function (global) {
System.config({
transpiler: "./plugin-typescript.js",
typescriptOptions: {
"target": "ES2022",
"module": "system",
"emitDecoratorMetadata": true,
"experimentalDecorators": true,
},
baseURL: "./node_modules/",
meta: {
typescript: {
exports: "ts",
},
"*.css": { loader: "systemjs-plugin-css" },
},
packageConfigPaths: [
"./node_modules/*/package.json",
"./node_modules/@angular/*/package.json",
"./node_modules/@mescius/*/package.json",
],
map: {
'typescript': "typescript/lib/typescript.js",
'rxjs': "rxjs/dist/bundles/rxjs.umd.js",
"rxjs/operators": "rxjs/dist/bundles/rxjs.umd.js",
"@angular/core/primitives/signals": "@angular/core/fesm2022/primitives/signals.mjs",
"@angular/common/http": "@angular/common/fesm2022/http.mjs",
"@mescius/activereportsjs/core":
"@mescius/activereportsjs/dist/ar-js-core.js",
"@mescius/activereportsjs": "./activereports.js",
"@mescius/activereportsjs/reportdesigner":"./activereports.js",
"@mescius/ar-js-pagereport":
"@mescius/activereportsjs/dist/ar-js-core.js",
"@mescius/activereportsjs-i18n-ja":
"@mescius/activereportsjs-i18n/dist/designer/ja-locale.js",
"@mescius/activereportsjs-i18n-zh":
"@mescius/activereportsjs-i18n/dist/designer/zh-locale.js",
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
"./src": {
defaultExtension: "ts",
},
rxjs: {
defaultExtension: "js",
// "main": "bundles/rxjs.umd.min.js"
},
node_modules: {
defaultExtension: "js",
},
"@angular/core": {
defaultExtension: "mjs",
main: "fesm2022/core.mjs",
},
"@angular/platform-browser": {
defaultExtension: "mjs",
main: "fesm2022/platform-browser.mjs",
},
"@angular/common": {
defaultExtension: "mjs",
main: "fesm2022/common.mjs",
},
"@angular/compiler": {
defaultExtension: "mjs",
main: "fesm2022/compiler.mjs",
},
"@angular/forms": {
defaultExtension: "mjs",
main: "fesm2022/forms.mjs",
},
"@angular/localize": {
defaultExtension: "mjs",
main: "fesm2022/localize.mjs",
},
"@angular/platform-browser-dynamic": {
defaultExtension: "mjs",
main: "fesm2022/platform-browser-dynamic.mjs",
},
"@mescius/activereportsjs-angular": {
defaultExtension: "mjs",
main: "fesm2022/grapecity-activereports-angular.mjs",
},
},
});
})(this);
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>ActiveReportsJS Report Designer Report Saving Sample</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<!-- Polyfills -->
<script src="node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<link
href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,300;0,400;0,500;0,600;0,700;1,400&display=swap"
rel="stylesheet"
/>
<link
rel="stylesheet"
href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z"
crossorigin="anonymous"
/>
<script>
System.import("./src/app.main");
</script>
</head>
<body style="margin: 0">
<app-root></app-root>
<script
src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
crossorigin="anonymous"
></script>
<script
src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"
integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN"
crossorigin="anonymous"
></script>
<script
src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"
integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV"
crossorigin="anonymous"
></script>
</body>
</html>

<template>
<div>
<div id="designer-host">
<ReportDesigner
:onCreate="onCreateReport"
:onSave="onSaveReport"
:onSaveAs="onSaveAsReport"
:onOpen="onOpenReport"
></ReportDesigner>
</div>
<div
v-if="showModal"
class="modal"
id="dlgOpen"
tabindex="-1"
aria-hidden="true"
>
<div class="modal-content">
<div class="modal-header">
<h5 class="modal-title" id="exampleModalLabel">Open Report</h5>
<button
type="button"
class="close"
aria-label="Close"
@click="hideModal"
>
<span aria-hidden="true">×</span>
</button>
</div>
<div class="modal-body">
<strong>Select Report:</strong>
<div class="list-group">
<button
type="button"
class="list-group-item list-group-item-action"
v-for="reportId in reportIds"
@click="onSelectReport(reportId)"
:key="reportId"
>
{{ reportId }}
</button>
</div>
</div>
<div class="modal-footer">
<button
type="button"
class="btn btn-outline-secondary"
@click="hideModal"
>
Close
</button>
</div>
</div>
</div>
</div>
</template>
<script>
import { Designer } from "@mescius/activereportsjs-vue";
let resolveFunc = null;
export default {
components: {
ReportDesigner: Designer,
},
data() {
return {
reportStorage: new Map(),
counter: 0,
showModal: false,
};
},
computed: {
reportIds() {
const ret = this.counter ? [...this.reportStorage.keys()] : [];
return ret;
},
},
methods: {
onSelectReport(reportId) {
if (resolveFunc) {
resolveFunc({
definition: this.reportStorage.get(reportId),
id: reportId,
displayName: reportId,
});
this.showModal = false;
}
},
onCreateReport() {
const CPLReport = {
Name: "Report",
Body: {
Width: "8.5in",
Height: "11in",
},
};
const reportId = `NewReport${this.counter + 1}`;
this.counter++;
return Promise.resolve({
definition: CPLReport,
id: reportId,
displayName: reportId,
});
},
onSaveReport(info) {
const reportId = info.id || `NewReport${this.counter + 1}`;
this.reportStorage.set(reportId, info.definition);
this.counter++;
return Promise.resolve({ displayName: reportId });
},
onSaveAsReport(info) {
const reportId = `NewReport${this.counter + 1}`;
this.reportStorage.set(reportId, info.definition);
this.counter++;
return Promise.resolve({ id: reportId, displayName: reportId });
},
onOpenReport() {
let me = this;
return new Promise(function (resolve) {
resolveFunc = resolve;
me.showModal = true;
});
},
hideModal() {
this.showModal = false;
if (resolveFunc) {
resolveFunc(null);
resolveFunc = null;
}
},
},
};
</script>
<style>
@import url("/activereportsjs/demos/arjs/styles/ar-js-ui.css");
@import url("/activereportsjs/demos/arjs/styles/ar-js-designer.css");
@import url("/activereportsjs/demos/arjs/styles/ar-js-viewer.css");
#designer-host {
width: 100%;
height: 550px;
}
.modal {
position: fixed;
top: 0;
left: 0;
width: 100%;
height: 100%;
background-color: rgba(0, 0, 0, 0.5);
display: flex;
align-items: center;
justify-content: center;
z-index: 1000;
}
.modal-content {
background: white;
padding: 20px;
border-radius: 4px;
width: 50%;
max-width: 500px;
max-height: 80%;
overflow-y: auto;
}
</style>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>ActiveReportsJS Report Designer Report Saving Sample</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<!-- SystemJS -->
<script src="node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script src="./compiler.js" type="module"></script>
<link
href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,300;0,400;0,500;0,600;0,700;1,400&display=swap"
rel="stylesheet"
/>
<link
rel="stylesheet"
href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z"
crossorigin="anonymous"
/>
<script>
System.import("./app.js");
</script>
</head>
<body style="margin: 0">
<div id="app"></div>
<script
src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
crossorigin="anonymous"
></script>
<script
src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"
integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN"
crossorigin="anonymous"
></script>
<script
src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"
integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV"
crossorigin="anonymous"
></script>
</body>
</html>
(function (global) {
SystemJS.config({
transpiler: "systemjs-plugin-babel",
typescriptOptions: {
target: "es2022",
module: "system",
},
baseURL: "./node_modules/",
packageConfigPaths: [
"./node_modules/*/package.json",
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json",
],
map: {
vue: "./node_modules/vue/dist/vue.esm-browser.js",
"systemjs-babel-build": "systemjs-plugin-babel/systemjs-babel-browser.js",
"@mescius/activereportsjs/pdfexport":
"@mescius/activereportsjs/dist/ar-js-pdf.js",
"@mescius/activereportsjs/tabulardataexport":
"@mescius/activereportsjs/dist/ar-js-tabular-data.js",
"@mescius/activereportsjs/htmlexport":
"@mescius/activereportsjs/dist/ar-js-html.js",
"@mescius/activereportsjs/xlsxexport":
"@mescius/activereportsjs/dist/ar-js-xlsx.js",
"@mescius/activereportsjs/xlsxadvexport":
"@mescius/activereportsjs/dist/ar-js-xlsxAdv.js",
"@mescius/activereportsjs-vue":
"@mescius/activereportsjs-vue/lib/index.js",
"@mescius/activereportsjs/reportviewer":
"./reportviewer.js",
"@mescius/activereportsjs/viewer":
"./reportviewer.js",
"@mescius/activereportsjs/reportdesigner":
"./reportdesigner.js",
"@mescius/activereportsjs/core":
"@mescius/activereportsjs/dist/ar-js-core.js",
"@mescius/activereportsjs/styles": "@mescius/activereportsjs/styles",
"@mescius/activereportsjs-i18n":
"@mescius/activereportsjs-i18n/dist/ar-js-locales.js",
"@mescius/ar-js-pagereport":
"@mescius/activereportsjs/dist/ar-js-core.js",
"@mescius/activereportsjs-i18n-ja":
"@mescius/activereportsjs-i18n/dist/designer/ja-locale.js",
"@mescius/activereportsjs-i18n-zh":
"@mescius/activereportsjs-i18n/dist/designer/zh-locale.js",
},
meta: {
"*.css": { loader: "systemjs-plugin-css" },
"./src/*.vue": { loader: "../plugin-vue/index.js" },
"*.vue": { loader: "./plugin-vue/index.js" },
},
packages: {
"vue-demi": {
defaultExtension: "mjs",
main: "lib/index.mjs",
},
},
});
})(this);